
import Users from "./User.js";
import UserRoles from "./Roles.js";

//Save the collections in the Meteor.collections property for easy access without name conflicts.
Meteor.collections = {Users, UserRoles};

//If this is the server then setup the default admin user if none exist.
if(Meteor.isServer) {
	//Change this to find admin users, create a default admin user if none exists.
	if(Users.find({}).count() == 0) {
		try {
			console.log("Creating a default admin user: admin/admin");
			
			let id = Accounts.createUser({password: 'admin', username: 'admin'});
			//Requires the alanning:roles package.
			Roles.addUsersToRoles(id, [Meteor.UserRoles.ROLE_MANAGE, Meteor.UserRoles.ROLE_UPDATE]);
		}
		catch(err) {
			console.log(err);
		}
	}
}